Name:           httperf
Version:        0.9.0
Release:        6%{?dist}
Summary:        Tool for measuring web server performance
Group:          Development/Tools
License:        GPLv2+ with exceptions
URL:            http://www.hpl.hp.com/research/linux/httperf/
#               http://sourceforge.net/projects/httperf
Source0:        ftp://ftp.hpl.hp.com/pub/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  openssl-devel

%description 
Httperf is a tool for measuring web server performance. It provides a
flexible facility for generating various HTTP workloads and for
measuring server performance. The focus of httperf is not on
implementing one particular benchmark but on providing a robust,
high-performance tool that facilitates the construction of both micro-
and macro-level benchmarks. The three distinguishing characteristics
of httperf are its robustness, which includes the ability to generate
and sustain server overload, support for the HTTP/1.1 and SSL
protocols, and its extensibility to new workload generators and
performance measurements.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install INSTALL="%{__install} -p" DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/httperf
%{_bindir}/idleconn
%{_mandir}/man1/httperf.1*
%doc AUTHORS ChangeLog NEWS README TODO


%changelog
* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.9.0-6
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Tomas Mraz <tmraz@redhat.com> - 0.9.0-3
- rebuild with new openssl

* Tue Oct 14 2008 Thomas Moschny <thomas.moschny@gmx.de> - 0.9.0-2
- Suggestion from the review: Use install -p to preserve timestamps.

* Thu Aug 28 2008 Thomas Moschny <thomas.moschny@gmx.de> - 0.9.0-1
- New package.

